<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <include
        android:id="@+id/toolbar_include"
        layout="@layout/common_toolbar_layout" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cs_course_info"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="14dp"
        android:layout_marginTop="12dp"
        android:layout_marginEnd="14dp"
        android:background="@drawable/bg_white_10dp"
        android:paddingStart="11dp"
        android:paddingEnd="11dp"
        android:paddingBottom="20dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/toolbar_include">

        <ImageView
            android:id="@+id/iv_clock_icon"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="11dp"
            android:src="@drawable/icon_clock"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_time"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="6dp"
            android:includeFontPadding="false"
            android:textColor="@color/color_666666"
            android:textSize="@dimen/sp_13"
            app:layout_constraintBottom_toBottomOf="@+id/iv_clock_icon"
            app:layout_constraintLeft_toRightOf="@+id/iv_clock_icon"
            app:layout_constraintTop_toTopOf="@+id/iv_clock_icon"
            tools:text="2021/09/17 14:00~14:25" />

        <View
            android:id="@+id/view_line"
            android:layout_width="0dp"
            android:layout_height="1dp"
            android:layout_marginTop="10dp"
            android:background="@color/color_f2f2f2"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/iv_clock_icon" />

        <com.cooleshow.base.widgets.QMUIRadiusImageView
            android:id="@+id/iv_avatar"
            android:layout_width="47dp"
            android:layout_height="51dp"
            android:layout_marginTop="17dp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/view_line"
            app:qmui_corner_radius="5dp" />

        <TextView
            android:id="@+id/tv_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:includeFontPadding="false"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_16"
            android:textStyle="bold"
            app:layout_constraintBottom_toTopOf="@+id/tv_course_name"
            app:layout_constraintLeft_toRightOf="@+id/iv_avatar"
            app:layout_constraintTop_toTopOf="@+id/iv_avatar"
            app:layout_constraintVertical_chainStyle="packed"
            tools:text="张豆豆" />


        <TextView
            android:id="@+id/tv_course_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:background="@drawable/shape_couse_type_text_bg"
            android:gravity="center"
            android:includeFontPadding="false"
            android:paddingStart="4dp"
            android:paddingTop="2dp"
            android:paddingEnd="4dp"
            android:paddingBottom="2dp"
            android:textColor="@color/color_ff8c00"
            android:textSize="@dimen/sp_11"
            app:layout_constraintBottom_toBottomOf="@+id/iv_avatar"
            app:layout_constraintLeft_toLeftOf="@+id/tv_title"
            app:layout_constraintTop_toBottomOf="@+id/tv_title"
            tools:text="单簧管" />


        <TextView
            android:id="@+id/tv_course_status"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="@color/color_999999"
            android:textSize="@dimen/sp_14"
            app:layout_constraintBottom_toTopOf="@+id/view_line"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="未开始" />


    </androidx.constraintlayout.widget.ConstraintLayout>


    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cs_content"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="14dp"
        android:layout_marginTop="12dp"
        android:layout_marginEnd="14dp"
        android:background="@drawable/bg_white_10dp"
        android:paddingBottom="10dp"
        app:layout_constraintTop_toBottomOf="@+id/cs_course_info">

        <View
            android:id="@+id/view_title_line"
            android:layout_width="4dp"
            android:layout_height="14dp"
            android:layout_marginStart="12dp"
            android:layout_marginTop="13dp"
            android:background="@drawable/shape_course_title_tag_bg"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_teacher_appraisal_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:paddingStart="5dp"
            android:text="老师评价"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_13"
            app:layout_constraintBottom_toBottomOf="@+id/view_title_line"
            app:layout_constraintLeft_toRightOf="@+id/view_title_line"
            app:layout_constraintTop_toTopOf="@+id/view_title_line" />

        <TextView
            android:id="@+id/tv_set_teacher_comment"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableLeft="@drawable/icon_edit_appraisal"
            android:drawablePadding="3dp"
            android:includeFontPadding="false"
            android:paddingEnd="11dp"
            android:text="@string/appraisal_str"
            android:textColor="@color/color_2dc7aa"
            android:textSize="@dimen/sp_14"
            android:visibility="invisible"
            app:layout_constraintBottom_toBottomOf="@+id/view_title_line"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@+id/view_title_line" />

        <FrameLayout
            android:id="@+id/view_content_bg"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="11dp"
            android:layout_marginTop="11dp"
            android:layout_marginEnd="11dp"
            android:background="@drawable/shape_bg_f7f8f9_4dp"
            android:minHeight="88dp"
            android:padding="11dp"
            app:layout_constraintTop_toBottomOf="@+id/view_title_line">

            <TextView
                android:id="@+id/tv_teacher_appraisal_empty_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:drawableLeft="@drawable/icon_teacher_appraisal_empty"
                android:drawablePadding="8dp"
                android:gravity="center_vertical"
                android:text="课程结束之后记得对学员的\n表现进行评价哦！"
                android:textColor="@color/color_999999"
                android:textSize="@dimen/sp_13" />

            <TextView
                android:id="@+id/tv_teacher_appraisal_content"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:includeFontPadding="false"
                android:textColor="@color/color_333333"
                android:textSize="@dimen/sp_13"
                android:visibility="gone"
                tools:text="每个音的指法比较熟练，但是遇到指法变换比较频繁的小节熟练度不足，建议平时可以选择指法变换较大的曲目多加练习！" />
        </FrameLayout>
    </androidx.constraintlayout.widget.ConstraintLayout>


    <TextView
        android:id="@+id/tv_submit"
        android:layout_width="match_parent"
        android:layout_height="44dp"
        android:layout_marginStart="27dp"
        android:layout_marginTop="25dp"
        android:layout_marginEnd="27dp"
        android:background="@drawable/shape_login_bt_bg"
        android:gravity="center"
        android:text="@string/submit_comment_str"
        android:textColor="@color/white"
        android:textSize="@dimen/sp_18"
        android:visibility="gone"
        app:layout_constraintTop_toBottomOf="@+id/cs_content" />
</androidx.constraintlayout.widget.ConstraintLayout>